Subject: bug#3619: Replace Rectangle can't do empty after first replace anymore

From: Glenn Morris <[email-masked]>
Date: Sun, 28 Jun 2009 13:56:14 -0400

Stefan Monnier wrote:

> Actually, C-x r d is the equivalent (since C-x r k additionally stores
> the killed text on the kill ring).  And yes, this was a known tradeoff
> when introducing the new behavior in Emacs-22.

I looked briefly at this, and found it surprising that `read-string'
offers no way to reject the default value in favour of an empty
string. `read-from-minibuffer', on the other hand, does.